Skip to content

Search for a page

POST
/web-pages/page/pages/_search
Required scope: webpage:read

Searches for a page and returns information about it including variable values, if the page is found.

Parameters ​

Query parameters

countryCode  string
Country code of the page. This or contentLocaleId must be provided.
languageCode  string
Language code (in ISO 639-1 format) of the page. This or contentLocaleId must be provided.
contentLocaleId  string
The content locale of the page. This or countryCode and languageCode combination must be provided.
categoryId  string
ID of a category. This or path must be provided.
path  string
URL path for this page. This or categoryId must be provided.

Response ​

The page and its variable values.